Bug 22937 - Searching by library groups uses group Title rather than Description
Summary: Searching by library groups uses group Title rather than Description
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-17 17:03 UTC by Lisette Scheer
Modified: 2020-05-11 22:07 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 22937: Display library search group descriptions (2.44 KB, patch)
2019-06-08 20:17 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22937: Display library search group descriptions (2.48 KB, patch)
2019-06-09 20:36 UTC, David Nind
Details | Diff | Splinter Review
Bug 22937: Add hint to groups editor (1.17 KB, patch)
2020-03-27 16:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22937: Add hint to groups editor (1.77 KB, patch)
2020-04-07 12:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22937: Add hint to groups editor (1.81 KB, patch)
2020-04-07 17:16 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22937: Add hint to groups editor (1.88 KB, patch)
2020-04-08 09:33 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lisette Scheer 2019-05-17 17:03:19 UTC
When using library search groups, the title of the group shows up in advanced search rather than the description. 
The description doesn't seem to be present anywhere except when calling <<X|GROUPS>> in a report. 
This seems confusing as most places the description label is what will show in pulldowns (both in Auth. values and itypes parameter setup.)
Lisette
Comment 1 Jonathan Druart 2019-06-08 20:17:03 UTC
Created attachment 90442 [details] [review]
Bug 22937: Display library search group descriptions

Instead of their "title"

Test plan:
Create a group of library with a title and a description
On the advanced search pages (OPAC & staff) confirm the the description
is displayed
Edit the group of library and remove its description
The "title" must now be displayed
Comment 2 David Nind 2019-06-09 20:36:48 UTC
Created attachment 90448 [details] [review]
Bug 22937: Display library search group descriptions

Instead of their "title"

Test plan:
Create a group of library with a title and a description
On the advanced search pages (OPAC & staff) confirm the the description
is displayed
Edit the group of library and remove its description
The "title" must now be displayed

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2019-06-09 21:03:46 UTC
I am not sure if this is a bug or a case of 'needs better labelling'. 

While we use internal codes for things like libraries/branches and itemtypes that we enter in the GUI, the library groups feature uses a numeric primary key. Unlike a code, the title shown in the GUI can be changed anytime and I think is supposed to be the display text, while the description can be used to give more information to staff. 

Example how I'd use it:

Title: South Germany
Description: Grouping all branches in Bavaria and BW into a hold group.

I think if we changed this now, libraries who used it like this won't be happy.

Adding Kyle for another opinion.
Comment 4 Lisette Scheer 2019-07-31 16:04:49 UTC
that is a (In reply to Katrin Fischer from comment #3)
> I am not sure if this is a bug or a case of 'needs better labelling'. 
> 
I think probably it needs better labeling. 
I can definitely see how people have used descriptions differently. 
When BWS set up our groups when the feature was added our descriptions were very similar to our titles. 

Lisette
Comment 5 Kyle M Hall 2020-03-27 16:02:37 UTC
Created attachment 102012 [details] [review]
Bug 22937: Add hint to groups editor
Comment 6 Owen Leonard 2020-03-27 16:05:09 UTC
It should be <div class="hint"> instead of <span> :)
Comment 7 Lisette Scheer 2020-03-27 16:12:01 UTC
The hint only shows when you are editing an existing group, not when creating a group. 
Lisette
Comment 8 Kyle M Hall 2020-04-07 12:26:37 UTC
Created attachment 102512 [details] [review]
Bug 22937: Add hint to groups editor
Comment 9 ByWater Sandboxes 2020-04-07 17:16:21 UTC
Created attachment 102522 [details] [review]
Bug 22937: Add hint to groups editor

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Comment 10 Jonathan Druart 2020-04-08 09:33:36 UTC
Created attachment 102541 [details] [review]
Bug 22937: Add hint to groups editor

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Martin Renvoize 2020-04-08 10:55:19 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-05-04 20:58:24 UTC
backported to 19.11.x for 19.11.06
Comment 13 Lucas Gass 2020-05-11 22:07:09 UTC
backported to 19.05.x for 19.05.11